## goffice 0.8.17

=== debian/changelog ===
goffice (0.8.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: 
    - debian/rules: Replace manual update of config.{sub,guess} with 
    dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig.
    - debian/control: Add autotools-dev as a build dependency.
    - Remove debian/patches/refresh-config-sub-guess-0.8.17-1: it's not 
      needed any more. Remove debian/patches: there are no patches.
    (Closes: #662650)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sat, 24 Mar 2012 01:20:10 +0100

goffice (0.8.17-1) unstable; urgency=low

  * New upstream stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 01 Aug 2011 18:43:00 +0200
