## goffice 0.10.0

=== debian/changelog ===
goffice (0.10.0-1ubuntu1) raring; urgency=low

  * long_double_logic.patch: Fix ifdef logic around LONG_DOUBLE in
    goffice/math/go-cspline.c to fix FTBFS on ARM and MIPS arches.
  * long_double_logic.patch: Also remove LONG_DOUBLE-only symbols
    from docs/reference/goffice-0.10.types and wrap their header
    declarations with __GTK_DOC_IGNORE__ magic to fix doc builds.
  * Move some more LONG_DOUBLE-only symbols to symbols.longdouble.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 13 Jan 2013 16:19:12 -0700

goffice (0.10.0-1) unstable; urgency=low

  * New upstream release, first of the new stable series.
  * [debian/rules] Use dh_autotools-dev_updateconfig instead of our own
    config.{guess,sub} handling.
  * [debian/*] Adapt for new version. Fix gir packaging.
  * [debian/control]
    * Correct -dev dependency from gtk+2 to gtk+3.
    * Add -dev dependency on gir package.
    * Bumped libgsf build dependency following gir packaging fix.
    * Dropped direct libgsf gir build dependency.
    * Add autotools-dev dependency for dh_autotools-dev_updateconfig.
  * [debian/watch] Upstream has switched to .xz tarballs.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Jan 2013 16:10:53 +0100

goffice (0.9.90-1) experimental; urgency=low

  * New upstream development release. (Closes: #660182)
  * [debian/libgoffice-0.10-9.symbols,
    debian/libgoffice-0.10-9.symbols.longdouble] Update for new and removed
    symbols.
  * [debian/rules, debian/control]
    * Harden build.
    * Enable introspection.
    * Updated libgsf build dependency; added gobject-introspection and
      libgirepository1.0-dev build dependencies for introspection support.
  * [debian/control]
    * Drop VCS fields.
    * Make package binNMU safe by using ${source:Version} instead of
      ${binary:Version} in dependency of the runtime library on the -common
      package. Thanks to Pino Toscano (pino) and Micha Lenk.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 02 Dec 2012 15:59:47 +0100

goffice (0.9.1-1) experimental; urgency=low

  * New upstream development release.
  * [debian/control]
    * Updated build dependency to Gtk+ 3.
    * Dropped Glade build dependency.
    * Tightened glib build dependency.
    * Tightened pango build dependency.
    * Tightened cairo build dependency.
    * Added librsvg build dependency.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 28 Nov 2011 20:59:19 +0100
