=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,18 @@
 pcommon=$(baselibname)-common
 pdevel=libgoffice-$(apiver)-dev
 pdbg=libgoffice-dbg
+pgir=gir1.2-goffice-0.10
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -Wall -g
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS += -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -75,7 +80,7 @@
                 --enable-compile-warnings=maximum
 
 # Features
-confflags +=    --enable-static --enable-gtk-doc
+confflags +=    --enable-static --enable-gtk-doc --enable-introspection=yes
 
 DPKG_GENSYMBOLS_CHECK_LEVEL ?= 4
 export DPKG_GENSYMBOLS_CHECK_LEVEL
@@ -144,9 +149,6 @@
 	fi
 	rm -rf build
 	-find -type f -name 'Makefile.am' | sed -e 's/\.am$$//' | xargs rm -f
-
-	# Update config.{sub,guess} from autotools-dev, if possible.
-	dh_autotools-dev_restoreconfig
 
 	dh_clean 
 
@@ -240,6 +242,7 @@
 
 	dh_shlibdeps -s -l debian/$(pruntime)/usr/lib/ -L $(pruntime)
 endif
+	dh_girepository -p$(pgir)
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion)
@@ -257,6 +260,7 @@
 	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
 
 ## Any other binary targets build just one binary package at a time.
+#.PHONY: binary-%
 #binary-%: build install
 #	make -f debian/rules binary-common DH_OPTIONS=-p$*
 #
