## goffice 0.10.1

=== debian/changelog ===
goffice (0.10.1-1ubuntu2) raring; urgency=low

  * Drop long_double_logic.patch as it no longer seems necessary
  * Merge debian/libgoffice-0.10-10.symbols.longdouble
    into debian/libgoffice-0.10-10.symbols since it looks
    like we no longer need separate symbols for arm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 10 Mar 2013 14:53:13 -0400

goffice (0.10.1-1ubuntu1) raring; urgency=low

  * Merge with Debian. Remaining changes:
    - long_double_logic.patch: Fix ifdef logic around LONG_DOUBLE in
      goffice/math/go-cspline.c to fix FTBFS on ARM and MIPS arches.
    - long_double_logic.patch: Also remove LONG_DOUBLE-only symbols
      from docs/reference/goffice-0.10.types and wrap their header
      declarations with __GTK_DOC_IGNORE__ magic to fix doc builds.
    - Move some more LONG_DOUBLE-only symbols to symbols.longdouble. 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 10 Mar 2013 11:42:26 -0400

goffice (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] Hardware apiver now that we can't easily grep for
    GOFFICE_API_VER any more.
  * [debian/patches/no-nested-externs-error] Added. Don't build
    -Werror=nested-externs as this breaks a test used for GLIB_WITH_NLS
    which in turn makes the locales directory come out wrong.
  * [debian/libgoffice-0.10-9.symbols,
    debian/libgoffice-0.10-9.symbols.longdouble] Update for new symbols.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 09 Mar 2013 21:18:16 +0100
