## goffice 0.10.3

=== debian/changelog ===
goffice (0.10.3-1) unstable; urgency=low

  * New upstream release [June 2013].
  * Minor packaging cleanup; don't install "index.sgml".
  * Updated .symbols file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Jul 2013 12:42:39 +1000

goffice (0.10.2-1) unstable; urgency=low

  * New upstream release [April 2013].
  * Merged .symbols.longdouble to .symbols (Closes: #698104);
    thanks, Jeremy Bicha.
  * Updated symbols.
  * Added Vcs links to new repository at collab-maint.
  * Debhelper & compat to version 9.
  * Updated "no-nested-externs-error.patch"; added DEP-3 headers.
  * "debian/control":
    + removed unnecessary versioned (Build-)Depends and unknown
      packages; expanded and sorted list of (Build-)Depends.
    + dropped "dh-buildinfo".
    + lintianisation:
      - removed redundant Section fields
        (binary-control-field-duplicates-source).
      + updated -dev package description
        (duplicate-short-description).
  * "autotools-dev" --> "dh-autoreconf" + rules rewrite (dh-style):
    + cleanup.
    + enabled parallel build
    + verbose build (--disable-silent-rules).
  * xz compression for source archive and binary packages (*.deb)
  * "debian/copyright" to copyright-format-1.0 + audit.
  * New maintainer; thanks for all your work, J.H.M. Dassen (Ray).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 May 2013 06:35:18 +1000
