=== debian/control ===
Source: goffice
Section: libs
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1.1)
              ,gobject-introspection
              ,gtk-doc-tools
              ,libcairo2-dev (>= 1.10.0)
              ,libcairo2-doc
              ,libgconf2-dev
              ,libgirepository1.0-dev
              ,libglib2.0-dev (>= 2.28.0)
              ,libglib2.0-doc
              ,libgsf-1-dev (>= 1.14.25-2)
              ,libgtk-3-dev
              ,libgtk-3-doc
              ,libpango1.0-dev
              ,libpango1.0-doc
              ,librsvg2-dev
              ,libxext-dev
              ,libxml-parser-perl
              ,libxml2-dev
              ,libxml2-doc
              ,libxrender-dev
Standards-Version: 3.9.4
Homepage: http://wiki.gnome.org/GnomeOffice
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goffice.git
Vcs-Git: git://anonscm.debian.org/collab-maint/goffice.git

Package: libgoffice-0.10-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
        ,gir1.2-goffice-0.10 (= ${binary:Version})
        ,libgoffice-0.10-10 (= ${binary:Version})
        ,libglib2.0-dev
        ,libxml2-dev
        ,libgtk-3-dev
        ,libglade2-dev
        ,libcairo2-dev
        ,libgconf2-dev
        ,libgsf-1-dev (>= 1.14.25-2)
Description: Document centric objects library - development files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed when building applications that use GOffice.

Package: libgoffice-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgoffice-0.10-10 (= ${binary:Version}), ${misc:Depends}
Description: Document centric objects library - debugging files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files used to debug (applications that use) the GOffice
 library.

Package: libgoffice-0.10-10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,libgoffice-0.10-10-common (>= ${source:Version})
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed to run applications that use GOffice.

Package: libgoffice-0.10-10-common
Architecture: all
Depends: ${misc:Depends}
Description: Document centric objects library - common files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the architecture independent files that are part of GOffice, like
 images and translations of messages.

Package: gir1.2-goffice-0.10
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for the GOffice library
 This package contains introspection data for the GOffice library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
