## goffice 0.10.4

=== debian/changelog ===
goffice (0.10.4-2) unstable; urgency=low

  * New patch to fix FTBFS on 32-bit architectures (Closes: #719034).
  * "debian/rules" improvements.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 08 Aug 2013 11:22:35 +1000

goffice (0.10.4-1) unstable; urgency=low

  * New upstream release [July 2013].
  * HTML documentation separated from -dev to -doc package.
  * Added doc-base registration.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Jul 2013 15:16:57 +1000
