## goffice 0.10.6

=== debian/changelog ===
goffice (0.10.6-1) unstable; urgency=low

  * New upstream release [August 2013].
  * Dropped backported "pixbuf-fixes.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 30 Aug 2013 14:03:56 +1000
