## goffice 0.10.8

=== debian/changelog ===
goffice (0.10.8-1) unstable; urgency=low

  * New upstream release [October 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Oct 2013 22:19:01 +1100
