## goffice 0.10.9

=== debian/changelog ===
goffice (0.10.9-1) unstable; urgency=medium

  * New upstream release [November 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Dec 2013 11:48:19 +1100
