=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
         ,libcairo2-dev
         ,libgconf2-dev
         ,libgsf-1-dev (>= 1.14.25-2)
+Suggests: libgoffice-${apiver}-doc
 Description: Document centric objects library - development files
  GOffice is a library of document centric objects and utilities building on
  top of GLib and Gtk+.
@@ -87,3 +88,15 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: libgoffice-0.10-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libgoffice-0.10-dev (<< 0.10.4)
+Replaces: libgoffice-0.10-dev (<< 0.10.4)
+Description: Document centric objects library - documentation
+ GOffice is a library of document centric objects and utilities building on
+ top of GLib and Gtk+.
+ .
+ This package contains HTML documentation for libgoffice-${apiver}.
