## goffice 0.10.17

=== debian/changelog ===
goffice (0.10.17-1) unstable; urgency=medium

  * New upstream release [June 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Jun 2014 19:13:24 +1000

goffice (0.10.16-1) unstable; urgency=low

  * New upstream release [May 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 28 May 2014 00:56:22 +1000

goffice (0.10.15-1) unstable; urgency=low

  * New upstream release [May 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 09 May 2014 06:34:41 +1000

goffice (0.10.14-1) unstable; urgency=low

  * New upstream release [April 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Apr 2014 23:32:01 +1000

goffice (0.10.13-1) unstable; urgency=medium

  * New upstream release [March 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 19 Mar 2014 12:35:44 +1100

goffice (0.10.12-1) unstable; urgency=low

  * New upstream release [March 2014].
  * Build-Depends:
    + libxslt-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 06 Mar 2014 21:55:52 +1100

goffice (0.10.11-1) unstable; urgency=low

  * New upstream release [February 2014].
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Mar 2014 18:43:41 +1100
