=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
               ,libxml2-dev
               ,libxml2-doc
               ,libxrender-dev
-Standards-Version: 3.9.4
+              ,libxslt-dev
+Standards-Version: 3.9.5
 Homepage: http://wiki.gnome.org/GnomeOffice
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goffice.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/goffice.git
