=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,16 @@
 versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
 nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))
 
+epoch=$(shell perl -nE 'print $$1 if m{^m4_define\S\[goffice_version_epoch\],\s*\[(\d+)\]};' configure.ac)
+# ABI major version
+somajor=$(shell perl -nE 'print $$1 if m{^m4_define\S\[goffice_version_major\],\s*\[(\d+)\]};' configure.ac)
 # API version - must match what's present/generated in configure
-apiver=0.10
-# ABI major version
-somajor=$(shell grep -i '^VERSION_INFO=[0-9]' configure | sed -e 's/^.*=//' -e 's/:.*//')
+apiver=$(epoch).$(somajor)
 # The base library name
-baselibname=libgoffice-$(apiver)-$(somajor)
-pruntime=$(baselibname)
-pcommon=$(baselibname)-common
+pruntime=libgoffice-$(apiver)-$(somajor)
+pcommon=$(pruntime)-common
 pdevel=libgoffice-$(apiver)-dev
+pdoc=libgoffice-$(apiver)-doc
 pdbg=libgoffice-dbg
 pgir=gir1.2-goffice-$(apiver)
 
@@ -44,8 +45,7 @@
 	--build=$(DEB_BUILD_GNU_TYPE) \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
-	--infodir=\$${prefix}/share/info \
-	--with-html-dir=\$${prefix}/share/doc/$(pdevel)/html
+	--infodir=\$${prefix}/share/info
 
 # FHS locations
 confflags +=	--prefix=/usr \
@@ -75,6 +75,8 @@
 	cd po && intltool-update -p
 
 override_dh_auto_configure:
+	$(info I: library-name=$(pruntime))
+	$(if $(wildcard debian/$(pruntime).install),,$(error Packaging files are not set up for base library name $(pruntime).))
 	dh_auto_configure -- $(confflags)
 
 override_dh_auto_install:
@@ -99,12 +101,12 @@
 override_dh_strip:
 	dh_strip --dbg-package=$(pdbg)
 
-override_dh_link:
-	$(RM) -rv $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
-	dh_link
+override_dh_installdocs:
+	dh_installdocs -p$(pdbg) --link-doc=$(pruntime)
+	dh_installdocs -N$(pdbg)
 
 override_dh_gencontrol:
-	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion)
+	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion) -Vapiver=$(apiver)
 
 override_dh_girepository:
 	dh_girepository -p$(pgir)
