## goffice 0.10.18

=== debian/changelog ===
goffice (0.10.18-1) unstable; urgency=medium

  * New upstream release [September 2014].
    + Fixed font color theme support (Closes: #757611).
  * Fixed FTBFS witn gobject-introspection>=1.41.4 (Closes: #763250).
  * Updated Standards-Version to 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Sep 2014 12:12:26 +1000
