=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1.1)
-              ,gobject-introspection
+              ,gobject-introspection (>= 1.41.4)
               ,gtk-doc-tools
               ,libcairo2-dev (>= 1.10.0)
               ,libcairo2-doc
@@ -23,7 +23,7 @@
               ,libxml2-doc
               ,libxrender-dev
               ,libxslt-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wiki.gnome.org/GnomeOffice
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goffice.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/goffice.git
