## goffice 0.10.22

=== debian/changelog ===
goffice (0.10.22-1ubuntu1) wily; urgency=medium

  * Add patch from upstream to fix FTBFS in tests on ppc64el and powerpc
    - add debian/patches/fix-tests-without-long-double.patch
    - update debian/patches/series

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 02 Jul 2015 22:15:45 -0500

goffice (0.10.22-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Added -dev package dependencies: [librsvg2-dev, libxslt-dev].
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 17:58:25 +1000

goffice (0.10.21-2) experimental; urgency=low

  * Added new/missing -dev package dependencies:
    + librsvg2-dev
    + libxslt-dev
  * Modernised Vcs-Browser URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Mar 2015 23:38:00 +1100

goffice (0.10.21-1) experimental; urgency=low

  * New upstream release [March 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Mar 2015 14:13:18 +1100
