=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: goffice
 Section: libs
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1.1)
               ,gobject-introspection (>= 1.41.4)
               ,gtk-doc-tools
@@ -25,7 +26,7 @@
               ,libxslt-dev
 Standards-Version: 3.9.6
 Homepage: http://wiki.gnome.org/GnomeOffice
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goffice.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/goffice.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/goffice.git
 
 Package: libgoffice-0.10-dev
@@ -34,13 +35,15 @@
 Depends: ${misc:Depends}
         ,gir1.2-goffice-0.10 (= ${binary:Version})
         ,libgoffice-0.10-10 (= ${binary:Version})
-        ,libglib2.0-dev
-        ,libxml2-dev
-        ,libgtk-3-dev
-        ,libglade2-dev
         ,libcairo2-dev
         ,libgconf2-dev
+        ,libglade2-dev
+        ,libglib2.0-dev
+        ,libgtk-3-dev
         ,libgsf-1-dev (>= 1.14.25-2)
+        ,librsvg2-dev
+        ,libxml2-dev
+        ,libxslt-dev
 Suggests: libgoffice-${apiver}-doc
 Description: Document centric objects library - development files
  GOffice is a library of document centric objects and utilities building on
