## goffice 0.10.23

=== debian/changelog ===
goffice (0.10.23-1) unstable; urgency=low

  * New upstream release [July 2015].
  * Ignore tests failures on [powerpc,ppc64el].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 31 Jul 2015 08:45:46 +1000
