## goffice 0.10.24

=== debian/changelog ===
goffice (0.10.24-1) unstable; urgency=medium

  * New upstream release [October 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 15 Oct 2015 16:47:45 +1100
