## goffice 0.10.27

=== debian/changelog ===
goffice (0.10.27-1) unstable; urgency=medium

  * New upstream release [February 2016].
  * control: updated Vcs URLs (vcs-field-uses-insecure-uri).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 12 Feb 2016 10:05:46 +1100

goffice (0.10.26-1) unstable; urgency=medium

  * New upstream release [December 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Dec 2015 11:56:57 +1100
