=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: goffice
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1.1)
               ,gobject-introspection (>= 1.41.4)
               ,gtk-doc-tools
@@ -26,8 +25,8 @@
               ,libxslt-dev
 Standards-Version: 3.9.6
 Homepage: http://wiki.gnome.org/GnomeOffice
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/goffice.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/goffice.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/goffice.git
 
 Package: libgoffice-0.10-dev
 Section: libdevel
