## goffice 0.10.28

=== debian/changelog ===
goffice (0.10.28-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 27 Mar 2016 12:33:56 +1100
