=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
               ,libxml2-doc
               ,libxrender-dev
               ,libxslt-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://wiki.gnome.org/GnomeOffice
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git
 Vcs-Git: https://anonscm.debian.org/collab-maint/goffice.git
