=== debian/rules ===
--- 
+++ 
@@ -111,5 +111,14 @@
 override_dh_girepository:
 	dh_girepository -p$(pgir)
 
+override_dh_auto_test:
+	## https://bugzilla.gnome.org/show_bug.cgi?id=748504
+ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH),powerpc ppc64el))
+	@echo "======== will not abort on test(s) failure ========"
+	-dh_auto_test
+else
+	dh_auto_test
+endif
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
