## goffice 0.10.29

=== debian/changelog ===
goffice (0.10.29-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Standards-Version: 3.9.8.
  * dbgsym-migration: dropped "libgoffice-dbg" package.
  * rules: dropped override_dh_builddeb.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 08 May 2016 18:18:23 +1000
