=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
               ,libxml2-doc
               ,libxrender-dev
               ,libxslt-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://wiki.gnome.org/GnomeOffice
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git
 Vcs-Git: https://anonscm.debian.org/collab-maint/goffice.git
@@ -49,18 +49,6 @@
  top of GLib and Gtk+.
  .
  These are the files needed when building applications that use GOffice.
-
-Package: libgoffice-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libgoffice-0.10-10 (= ${binary:Version}), ${misc:Depends}
-Description: Document centric objects library - debugging files
- GOffice is a library of document centric objects and utilities building on
- top of GLib and Gtk+.
- .
- These are the files used to debug (applications that use) the GOffice
- library.
 
 Package: libgoffice-0.10-10
 Architecture: any
