## goffice 0.10.30

=== debian/changelog ===
goffice (0.10.30-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Corrected Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Jun 2016 21:06:47 +1000
