## goffice 0.10.31

=== debian/changelog ===
goffice (0.10.31-1) unstable; urgency=medium

  * New upstream release [June 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Jul 2016 19:37:10 +1000
