=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Standards-Version: 3.9.8
 Homepage: http://wiki.gnome.org/GnomeOffice
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/goffice.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/goffice.git
 
 Package: libgoffice-0.10-dev
 Section: libdevel
