## goffice 0.10.32

=== debian/changelog ===
goffice (0.10.32-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add intltool to Build-Depends following gtk-doc-tools changes
    (closes: #837824).

 -- Jordi Mallach <jordi@debian.org>  Tue, 08 Nov 2016 19:29:29 +0100

goffice (0.10.32-1) unstable; urgency=medium

  * New upstream release [August 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 25 Aug 2016 09:08:56 +1000
