=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1.1)
               ,gobject-introspection (>= 1.41.4)
               ,gtk-doc-tools
+              ,intltool (>= 0.35.0)
               ,libcairo2-dev (>= 1.10.0)
               ,libcairo2-doc
               ,libgconf2-dev
