=== debian/rules ===
--- 
+++ 
@@ -99,7 +99,7 @@
 	dh_makeshlibs -V -Xplugins
 
 override_dh_strip:
-	dh_strip --dbg-package=$(pdbg)
+	dh_strip --dbgsym-migration='libgoffice-dbg (<< 0.10.29~)'
 
 override_dh_installdocs:
 	dh_installdocs -p$(pdbg) --link-doc=$(pruntime)
@@ -119,6 +119,3 @@
 else
 	dh_auto_test
 endif
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
