## goffice 0.10.35

=== debian/changelog ===
goffice (0.10.35-1) unstable; urgency=medium

  * New upstream release [July 2017].
  * New patch to fix FTBFS (Closes: #876678).
  * rules: removed obsolete "override_dh_installdocs".
  * rules: removed call to "dpkg-parsechangelog".
  * debhelper/compat to version 10.
  * Standards-Version: 4.1.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 13 Oct 2017 14:45:14 +1100
