=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dpkg-dev (>= 1.16.1.1)
+Build-Depends: debhelper (>= 10) ,dpkg-dev (>= 1.16.1.1)
               ,gobject-introspection (>= 1.41.4)
               ,gtk-doc-tools
               ,intltool (>= 0.35.0)
@@ -24,7 +24,7 @@
               ,libxml2-doc
               ,libxrender-dev
               ,libxslt-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://wiki.gnome.org/GnomeOffice
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/goffice.git
