=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-upstreamversion=$(shell dpkg-parsechangelog | grep Version | head -1 | sed -e 's/Version: //g' -e 's/-[A-Za-z0-9+\.]*$$//g')
+include /usr/share/dpkg/pkg-info.mk
+upstreamversion=$(DEB_VERSION_UPSTREAM)
 versionh=$(shell echo $(upstreamversion) | sed -e 's/\.[^.]*$$//')
 versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
 nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))
@@ -19,7 +19,6 @@
 pcommon=$(pruntime)-common
 pdevel=libgoffice-$(apiver)-dev
 pdoc=libgoffice-$(apiver)-doc
-pdbg=libgoffice-dbg
 pgir=gir1.2-goffice-$(apiver)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -101,10 +100,6 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='libgoffice-dbg (<< 0.10.29~)'
 
-override_dh_installdocs:
-	dh_installdocs -p$(pdbg) --link-doc=$(pruntime)
-	dh_installdocs -N$(pdbg)
-
 override_dh_gencontrol:
 	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion) -Vapiver=$(apiver)
