## goffice 0.10.39

=== debian/changelog ===
goffice (0.10.39-1) unstable; urgency=medium

  * New upstream release [March 2018].
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.3.
  * (Build-)Depends:
    - libgconf2-dev (Closes: #886060).
    - libglade2-dev (Closes: #885824).

    Thanks, Jeremy Bicha.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 26 Mar 2018 02:38:12 +1100
