=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10) ,dpkg-dev (>= 1.16.1.1)
+Build-Depends: debhelper (>= 11~) ,dpkg-dev (>= 1.16.1.1)
               ,gobject-introspection (>= 1.41.4)
               ,gtk-doc-tools
               ,intltool (>= 0.35.0)
               ,libcairo2-dev (>= 1.10.0)
               ,libcairo2-doc
-              ,libgconf2-dev
               ,libgirepository1.0-dev
               ,libglib2.0-dev (>= 2.28.0)
               ,libglib2.0-doc
@@ -24,7 +23,7 @@
               ,libxml2-doc
               ,libxrender-dev
               ,libxslt-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://wiki.gnome.org/GnomeOffice
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/goffice.git
@@ -36,8 +35,6 @@
         ,gir1.2-goffice-0.10 (= ${binary:Version})
         ,libgoffice-0.10-10 (= ${binary:Version})
         ,libcairo2-dev
-        ,libgconf2-dev
-        ,libglade2-dev
         ,libglib2.0-dev
         ,libgtk-3-dev
         ,libgsf-1-dev (>= 1.14.25-2)
