## goffice 0.10.41

=== debian/changelog ===
goffice (0.10.41-1) unstable; urgency=medium

  * New upstream release [May 2018].
  * Standards-Version: 4.1.4.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Jul 2018 14:22:23 +1000
