=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: goffice
 Section: libs
 Priority: optional
+Standards-Version: 4.1.4
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~) ,dpkg-dev (>= 1.16.1.1)
               ,gobject-introspection (>= 1.41.4)
@@ -23,10 +24,9 @@
               ,libxml2-doc
               ,libxrender-dev
               ,libxslt-dev
-Standards-Version: 4.1.3
 Homepage: http://wiki.gnome.org/GnomeOffice
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goffice.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/goffice.git
+Vcs-Browser: https://salsa.debian.org/debian/goffice
+Vcs-Git: https://salsa.debian.org/debian/goffice.git
 
 Package: libgoffice-0.10-dev
 Section: libdevel
